Endpoint
| field | value |
|---|
| method | GET |
| path | /api/company/{company_id}/integration-clients |
| operationId | get_company_integration_clients |
| auth | 画面ログイン済みの管理者ユーザー token |
| Idempotency-Key | not required |
| lifecycle | stable |
| resource type | integration-client |
| data classification | restricted |
| scope risk | none |
| write operation | no |
Summary
Credential 管理 の get endpoint です。backend OpenAPI から同期しています。
Required scope
| scope | requirement |
|---|
| 管理者ユーザー権限 | required |
Operation contract
| field | value |
|---|
| bulk mode | - |
| bulk max items | - |
| bulk dry run | - |
| sync type | - |
| sync max limit | - |
| reconciliation | - |
Path parameters
| name | required | schema |
|---|
| company_id | required | integer |
Query parameters
Header parameters
Request body
| status | media type | schema |
|---|
| - | - | - |
| - | - | - |
Response
| status | media type | schema |
|---|
| 200 | application/json | SuccessResponse_list_CompanyIntegrationClientResponse__ |
Example
curl -X GET "https://api.anshin.care/api/company/{company_id}/integration-clients" \
-H "Authorization: Bearer $ANSHIN_ADMIN_ACCESS_TOKEN" \
業務境界
- domain: 法人
- endpoint は各 backend の S2S scoped OpenAPI artifact から同期しています。
- company 境界は backend で検証します。
- write 系 endpoint は、画面用 API と endpoint を分け、処理本体は service 層で共通化します。